# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'client_api/version'

Gem::Specification.new do |spec|
  spec.name          = "client_api"
  spec.version       = ClientApi::VERSION
  spec.authors       = ["fabira && atakem "]
  spec.email         = ["fabira90@gmail.com,atacraft@gmail.com"]
  spec.summary       = %q{"module client-API"}
  spec.description   = %q{"Module that interact with the API"}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 1.9"
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "redis"
  spec.add_development_dependency "rest-client"
  spec.add_development_dependency "rspec"

end
