require 'client_api'
require 'uuid'
require 'redis'
require 'json'
require 'rest-client'
require_relative '../lib/conf/conf_api'



def engine_data_sample
  engine_data = []
  engine_data << {customer_id: 1,item_id: 1,preference: 1}
  200.times do
    engine_data << {customer_id: rand(1..5),item_id: rand(1..10),preference: rand(1..5)}
  end
  100.times do
    engine_data << {customer_id: rand(2..5),item_id: rand(10..20),preference: rand(1..5)}
  end
  engine_data
end

def params_user_based
  {engine_name: 'engUser',api_key: '926eb0b0-e99d-0131-7e06-080027ab4d7b',token: 'token1',id: 1,nb_wanted: 2}
end

def params_item_based
  {engine_name: 'engItem',api_key: '926eb0b0-e99d-0131-7e06-080027ab4d7b',token: 'token2',id: 1,nb_wanted: 2}
end

def populate_engine(api_key)
  nb = rand(10000)
  RestClient.post(API_SERVER+'/restricted/object/new',{model_name: 'Application',content: {name: "app",api_key: api_key,url: "http://www.app#{nb}.com",user_id: 1}.to_json})
 #RestClient.post(API_SERVER+'/restricted/object/new',{model_name: 'Engine',content: {name: "engUser",engine_conf: {similarity_metric: "PearsonCorrelationSimilarity",reco_algo:"GenericUserBasedRecommender", actions: [{action: "Like",score: "1"}],neighborhood: 6}.to_json,application_id: 391}.to_json})
 #RestClient.post(API_SERVER+'/restricted/object/new',{model_name: 'Engine',content: {name: "engItem",engine_conf: {similarity_metric: "PearsonCorrelationSimilarity",reco_algo:"GenericItemBasedRecommender", actions: [{action: "Like",score: "1"}],neighborhood: 6}.to_json,application_id: 391}.to_json})
end


def params_to_load1
  {engine_name: 'engItem',data: engine_data_sample.to_json,api_key: '926eb0b0-e99d-0131-7e06-080027ab4d7b',token: 'token2'}
end


def params_to_load2
  {engine_name: 'engUser',data: engine_data_sample.to_json,api_key: '926eb0b0-e99d-0131-7e06-080027ab4d7b',token: 'token2'}
end

def param_load(engine_name)
  {engine_name: engine_name,data: engine_data_sample.to_json}
end

